// basket active page // 

.basket__body {
    .mobile__navigation {
        .mobile-nav__list {
            .basket__page {
                @include PageActive;
            }
        }
    }
}

.favorites__page--active {
    @include PageActive;
}

// preloader // 

.preloader {
    background-image: url('../img/preloader/preloader.png');
    background-repeat: no-repeat;
    background-position: center;
    background-color: $gray02;
    position: fixed;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    z-index: 100; 
}

.loaded_hiding .preloader {
    transition: 0.3s opacity;
    opacity: 0;
  }

.loaded .preloader {
    display: none;
}

// overlay // 

.overlay {
    background: rgba(64, 75, 95, 0.4);
    backdrop-filter: blur(5px); 
    position: fixed; 
    display: none; 
    width: 100%; 
    height: 100%; 
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 4;
    display: none;
}

.overlay--active {
    display: block;
}

.overlay--show {
    display: block;
}

.overlay--catalog {
    display: block;
}

.overlay--menu {
    display: block;
} 

// main-container website // 

.main-container {
    max-width: 1920px;
    margin: 0 auto;
}

// section-container & map-container// 

.section-container {
    max-width: 1510px;
    width: 100%;
    padding: 0 70px;
    overflow: hidden;
}

.map-container {
    margin: 0 -70px;
}

.footer-container {
    margin: 0 -70px;

    .main-container {
        padding: 60px 70px;
    }
}

@media (max-width: 1900px) {
    .section-container {
        padding: 0 35px;
    }

    .map-container {
        margin: 0 -35px;
    }

    .footer-container {
        margin: 0 -35px;

        .main-container {
            padding: 60px 35px;
        }
    }
}

@media (max-width: 1560px) {
    .section-container {
        padding: 0px 45px 0 155px;
    }

    .map-container {
        margin: 0 -45px;
    }

    .footer-container {
        margin: 0 -45px;

        .main-container {
            padding: 60px 45px;
        }
    }
}

@media (max-width: 1360px) {
    .section-container {
        padding: 0 30px;
    }

    .map-container {
        margin: 0 -30px;
    }

    .footer-container {
        margin: 0 -30px;

        .main-container {
            padding: 60px 30px 100px 30px;
        }
    }
}

@media (max-width: 1200px) {
    .footer-container {
        .main-container {
            padding: 60px 30px 50px 30px;
        }
    }
}

@media (max-width: 992px) {
    .section-container {
        padding: 0 40px;
    }

    .footer-container {
        margin: 0 -40px;

        .main-container {
            padding: 40px 40px 40px 40px;
        }
    }

    .map-container {
        margin: -120px -40px 0 -40px;
    }
}

@media (max-width: 768px) {
    .section-container {
        padding: 0 30px;
    }

    .footer-container {
        margin: 0 -30px;

        .main-container {
            padding: 40px 30px;
        }
    }

    .map-container {
        margin: 160px -30px -40px -30px;
    }
}

@media (max-width: 576px) {
    .section-container {
        padding: 0 20px;
    }

    .footer-container {
        margin: 0 -20px;

        .main-container {
            padding: 30px 20px;
        }
    }

    .map-container {
        margin: 160px -20px -80px -20px;
    }
}

// sidebar-container 

.sidebar-container {
    min-width: 260px;
    padding: 0 30px;
    
    @media (max-width: 425px) {
        min-width: 345px;
        padding: 0 15px;
    }
}

// first-section // 

section:first-child {
    margin-top: 120px;
}

@media (max-width: 1360px) {
    section:first-child {
        margin-top: 110px;
    }
}

// section

section {
    margin-bottom: 80px;
}

@media (max-width: 1900px) {
    section {
        margin-bottom: 100px;
    }
}

@media (max-width: 1560px) {
    section {
        margin-bottom: 90px;
    }
}

@media (max-width: 1360px) {
    section {
        margin-bottom: 80px;
    }
}

@media (max-width: 992px) {
    section {
        margin-bottom: 70px;
    }
}

@media (max-width: 768px) {
    section {
        margin-bottom: 60px;
    }
}

@media (max-width: 576px) {
    section {
        margin-bottom: 50px;
    }
}

// section margin // 

.section__margin {
    margin-bottom: 80px;
}

@media (max-width: 768px) {
    .section__margin {
        margin-bottom: 80px;
    }
}

@media (max-width: 576px) {
    .section__margin {
        margin-bottom: 100px;
    }
}

// headlines 

.section__title {
    @include sectionTitle;
}

// pagination 

.swiper-pagination-bullets {
    display: none;
}

@media (max-width: 1900px) {
    .swiper-pagination-bullets {
        display: block;
    }
}

// arrows buttons 

.swiper-button-wrapper {
    position: absolute;
    top: -45px;
    right: 80px;
    z-index: 2;

    .swiper-custom-button-prev {
        position: absolute;
        left: -70px;
    }

    .swiper-button-hover {
        @include swiperButtonHover; 
    }
}

@media (max-width: 1900px) {
    .swiper-button-wrapper {
        display: none;
    }
}

.product-slider-wrapper {
    position: relative;

    .product-button-wrapper {
        position: absolute;
        z-index: 2;
        top: 40%;
        // transform: translateY(-50%);
        width: 100%;
    
        .button-arrow-prev  {
            position: absolute;
            left: -25px;
        }
    
        .button-arrow-next {
            position: absolute;
            right: -25px;
        }
    
        .swiper-button-hover {
            @include swiperButtonHover; 
        }
    }
}

@media (max-width: 1900px) {
    .product-slider-wrapper {
        .product-button-wrapper  {
            display: none;
        }
    }
}

// fancybox gallery // 

a[data-fancybox] img {
    cursor: zoom-in;
  }
  
.fancybox__container {
    background: rgba(64, 75, 95, 0.4);
    backdrop-filter: blur(5px); 
    }

.fancybox__container .fancybox__content {
    box-sizing: content-box;
}

.fancybox__caption {
    max-width: 80%;
    --fancybox-opacity: 1;
}

.has-image[data-image-fit=contain] .fancybox__image {
    border-radius: 10px;
}

.about-linear {
    @include background-linear-gradient;
}

// swiper box-shadow hover // 
.swiper-wrapper {
    padding-bottom: 40px;
}